/***************************************************************************
 *
 * QWIX - QWK mail packet reader Version 2.0
 * 
 * Copyright:	Dave MacRae 1992
 *
 * This source code may be freely distributed on the condition that is 
 * distributed in its entirety and that this notice is included. and that
 * no charge is made for this distribution, except for possible media costs.
 *
 ***************************************************************************
 */
/* static char sccsid[] = "@(#) qwix.h 2.1 1/22/92 12:13:48"; */
#include <fcntl.h>
#include <stdio.h>
#include <ctype.h>

#define MESSAGEFILE "messages.dat"
#define CONTROLFILE "control.dat"

#define NEWLINE 227 /* Code used for newline */
#define RECSIZE 128 /* records are in 128 chunks */

/* stuff from the message.dat file */

struct header {
    unsigned char status;
    unsigned char number[7];
    unsigned char date[8];
    unsigned char time[5];
    unsigned char to[25];
    unsigned char from[25];
    unsigned char subject[25];
    unsigned char password[12];
    unsigned char ref_no[8];
    unsigned char size[6];
    unsigned char active;
    unsigned char conf; 
    unsigned char filler[4];
}; /* the important stuff from the header */
/* true header format, only fields I use */

struct header_list {
    long index;
    struct header header;
};

#define MAX_HEADER	1024

#define NUMBERSIZE	7
#define DATESIZE	8
#define TIMESIZE	5
#define TOSIZE		25
#define FROMSIZE	25
#define SUBJECTSIZE	25
#define CONFSIZE	2
#define SIZESIZE	6

/* Stuff from control.dat */
#define BOARDSIZE 8
#define NAMESIZE 25

struct control {
	char board[BOARDSIZE];	 /* the board name, used as the root for the news dir */
        char name[NAMESIZE]; 	/* My name, used to locate personels */
        int concount; 		/* Number of conferences from this control.dat */
        int actcount; 		/* Number of active conferences */
	char date[12];		/* date and time of this packet */
	char time[10];
	struct conf *conhead;
        };

struct conf {
	char name[NAMESIZE];
	int number;
	struct conf *next;
	};

/* stuff used to read the control file */

#define CL_LENGTH 25 /* Length of a field */
#define SKIP1 4 /* Lines to skip before 1st item of data */
#define SKIP2 1 /* etc... */
#define SKIP3 3 

extern char QWK_FILES[80];
extern int LINES;

/* screen handaling stuff */
#define clear()		 printf("\033[2J\033[H")      /* clear screen, home */
#define home()		 printf("\033[H")	      /* home cursor */
